Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class Base2WayGradient

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource
              org.richfaces.resource.AbstractCacheableResource
                  org.ajax4jsf.resource.Java2Dresource
                      org.richfaces.renderkit.html.BaseGradient
                          org.richfaces.renderkit.html.Base2WayGradient

All Implemented Interfaces:
  org.richfaces.resource.CacheableResource, org.richfaces.resource.StateHolderResource

    public class Base2WayGradient

extends BaseGradient

Author:
  asmirnov

Field Summary

Fields inherited from class org.richfaces.renderkit.html.BaseGradient
`gradientType, headerBackgroundColor, headerGradientColor`

Fields inherited from class org.richfaces.resource.AbstractBaseResource
`URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`Base2WayGradient(boolean horizontal)`
`Base2WayGradient(int width, int height)`
`Base2WayGradient(int width, int height, boolean horizontal)`
`Base2WayGradient(int width, int height, int gradientHeight)`
`Base2WayGradient(int width, int height, int gradientHeight, boolean horizontal)`
`Base2WayGradient(int width, int height, int gradientHeight, java.lang.String baseColor, java.lang.String gradientColor)`
`Base2WayGradient(int width, int height, int gradientHeight, java.lang.String baseColor, java.lang.String gradientColor, boolean horizontal)`
`Base2WayGradient(int width, int height, java.lang.String baseColor, java.lang.String gradientColor)`
`Base2WayGradient(int width, int height, java.lang.String baseColor, java.lang.String gradientColor, boolean horizontal)`
`Base2WayGradient(java.lang.String baseColor, java.lang.String gradientColor)`
`Base2WayGradient(java.lang.String baseColor, java.lang.String gradientColor, boolean horizontal)`

Method Summary
`protected void` | `drawBackGradient(java.awt.Graphics2D g2d, java.awt.geom.Rectangle2D rectangle, GradientType.BiColor colors, int height)`
`protected void` | `paintGradient(java.awt.Graphics2D g2d, java.awt.Dimension dim)`

Methods inherited from class org.richfaces.renderkit.html.BaseGradient
`drawGradient, getBaseColor, getDimension, getGradientColor, getGradientHeight, getHeight, getWidth, isHorizontal, paint, readState, writeState`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`decodeColor, encodeSkinParameter, getColorValueParameter, getContentType, getHeight, getInputStream, getValueParameter, isTransient`

Methods inherited from class org.richfaces.resource.AbstractCacheableResource
`addCacheControlResponseHeaders, getEntityTag, getExpires, getTimeToLive, isCacheable, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

Methods inherited from class org.richfaces.resource.AbstractBaseResource
`addNoCacheResponseHeaders, getClassLoader, getContentLength, getLastModified, getRequestPath, getResponseHeaders, getURL`

Methods inherited from class javax.faces.application.Resource
`getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Base2WayGradient

    public Base2WayGradient(boolean horizontal)

Parameters:
  `horizontal` -

### Base2WayGradient

    public Base2WayGradient(int width,
                            int height)

Parameters:
  `width` -
  `height` -

### Base2WayGradient

    public Base2WayGradient(java.lang.String baseColor,
                            java.lang.String gradientColor)

Parameters:
  `baseColor` -
  `gradientColor` -

### Base2WayGradient

    public Base2WayGradient(int width,
                            int height,
                            boolean horizontal)

Parameters:
  `width` -
  `height` -
  `horizontal` -

### Base2WayGradient

    public Base2WayGradient(int width,
                            int height,
                            int gradientHeight)

Parameters:
  `width` -
  `height` -
  `gradientHeight` -

### Base2WayGradient

    public Base2WayGradient(java.lang.String baseColor,
                            java.lang.String gradientColor,
                            boolean horizontal)

Parameters:
  `baseColor` -
  `gradientColor` -
  `horizontal` -

### Base2WayGradient

    public Base2WayGradient(int width,
                            int height,
                            int gradientHeight,
                            boolean horizontal)

Parameters:
  `width` -
  `height` -
  `gradientHeight` -
  `horizontal` -

### Base2WayGradient

    public Base2WayGradient(int width,
                            int height,
                            java.lang.String baseColor,
                            java.lang.String gradientColor)

Parameters:
  `width` -
  `height` -
  `baseColor` -
  `gradientColor` -

### Base2WayGradient

    public Base2WayGradient(int width,
                            int height,
                            int gradientHeight,
                            java.lang.String baseColor,
                            java.lang.String gradientColor)

Parameters:
  `width` -
  `height` -
  `gradientHeight` -
  `baseColor` -
  `gradientColor` -

### Base2WayGradient

    public Base2WayGradient(int width,
                            int height,
                            java.lang.String baseColor,
                            java.lang.String gradientColor,
                            boolean horizontal)

Parameters:
  `width` -
  `height` -
  `baseColor` -
  `gradientColor` -
  `horizontal` -

### Base2WayGradient

    public Base2WayGradient(int width,
                            int height,
                            int gradientHeight,
                            java.lang.String baseColor,
                            java.lang.String gradientColor,
                            boolean horizontal)

Parameters:
  `width` -
  `height` -
  `gradientHeight` -
  `baseColor` -
  `gradientColor` -
  `horizontal` -

Method Detail

### drawBackGradient

    protected void drawBackGradient(java.awt.Graphics2D g2d,
                                    java.awt.geom.Rectangle2D rectangle,
                                    GradientType.BiColor colors,
                                    int height)

### paintGradient

    protected void paintGradient(java.awt.Graphics2D g2d,
                                 java.awt.Dimension dim)

  Overrides:
    `paintGradient` in class `BaseGradient`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.